# Record TCefPermissionPromptCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefPermissionPromptCallback = record`

## Description

Callback structure used for asynchronous continuation of permission prompts.

NOTE: This struct is allocated DLL-side.

Implemented by ICefPermissionPromptCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_permission_handler_capi.h">CEF source file: /include/capi/cef_permission_handler_capi.h (cef_permission_prompt_callback_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `cont: procedure(self: PCefPermissionPromptCallback; result: TCefPermissionRequestResult); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `cont: procedure(self: PCefPermissionPromptCallback; result: TCefPermissionRequestResult); stdcall;`
This item has no description.

Generated by PasDoc 0.17.0.snapshot.